Bug 175370 - EOG crashes when i open any image
EOG crashes when i open any image
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: eog (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
https://bugzilla.redhat.com/bugzilla/...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-09 10:56 EST by ritz
Modified: 2012-06-20 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 11:58:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output, when eog has crashed (550.03 KB, text/plain)
2005-12-09 11:06 EST, ritz
no flags Details

  None (edit)
Description ritz 2005-12-09 10:56:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
EOG crashes when i try open any image.



Version-Release number of selected component (if applicable):
eog-2.8.1-2

How reproducible:
Always

Steps to Reproduce:
1. Start Eog
2. Open any image

  

Actual Results:  The Application "eog" has quit unexpectedly.

You can inform the developers of what happened to help them fix it.  Or you can restart the application right now.

Expected Results:  Eog should open the image

Additional info:

Outcrop theme is based on Pixmap theme ( http://art.gnome.org/themes/gtk2/1122)
Icon theme is Yasis ( http://art.gnome.org/themes/icon/1168)

Had a similar bug ( https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=149337 ), and was listed for FC3.
Comment 1 ritz 2005-12-09 10:59:19 EST
System is "up2date"
Ran eog through gdb. abridged output


(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
*** attempt to put segment in horiz list twice
*** attempt to put segment in horiz list twice

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1208080160 (LWP 14936)]
0x007e8767 in strchr () from /lib/tls/libc.so.6
(gdb) continue
Continuing.
Detaching after fork from child process 14967.

Program exited with code 01.
Comment 2 ritz 2005-12-09 11:06:25 EST
Created attachment 122077 [details]
strace output, when eog has crashed

strace output, when eog crashes
Comment 3 ritz 2006-09-11 06:35:56 EDT
Traced the bug to 
http://bugzilla.gnome.org/show_bug.cgi?id=155241
Comment 4 ritz 2006-09-11 07:20:24 EDT
patch obtained from http://bugzilla.gnome.org/show_bug.cgi?id=155241

http://bugzilla.gnome.org/attachment.cgi?id=33794

tested, and works for me (tm)
Comment 7 RHEL Product and Program Management 2010-10-22 15:03:07 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 8 Jiri Pallich 2012-06-20 11:58:25 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.